import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_remix/flutter_remix.dart';
import 'package:furman_now/src/layouts/app_page.dart';
import 'package:furman_now/src/routes/index.gr.dart';
import 'package:furman_now/src/widgets/info/info_category_card.dart';

class InfoScreen extends StatelessWidget {
  const InfoScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AppPageLayout(
      title: "Info",
      icon: FlutterRemix.information_line,
      content: Padding(
        padding: const EdgeInsets.all(20),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            GestureDetector(
              onTap: () => context.router.push(const HealthSafetyRoute()),
              child: InfoCategoryCard(
                color: Colors.red.shade50,
                icon: Icons.local_hospital,
                title: "Health and Safety",
                description: "Important contact information and links regarding student health and safety.",
              ),
            ),
            const SizedBox(height: 10),
            GestureDetector(
              onTap: () => context.router.push(const ContactsRoute()),
              child: InfoCategoryCard(
                  color: Colors.deepPurple.shade50,
                  icon: Icons.phone,
                  title: "Contacts",
                  description: "Contact information for offices and resources on Furman's campus.",
              ),
            ),
            const SizedBox(height: 10),
            GestureDetector(
              onTap: () => context.router.push(const HoursRoute()),
              child: InfoCategoryCard(
                  color: Colors.blue.shade50,
                  icon: Icons.access_time,
                  title: "Hours",
                  description: "Check the hours for buildings and services on Furman's campus.",
              ),
            ),
            const SizedBox(height: 10),
            const Spacer(),
            GestureDetector(
              onTap: () => context.router.push(const SettingsRoute()),
              child: InfoCategoryCard(
                color: Colors.grey.shade100,
                icon: Icons.settings,
                title: "Settings",
                description: "Account settings, GET login, dark mode",
              ),
            ),
          ],
        ),
      ),
    );
  }
}
