import 'package:flutter/material.dart';
import 'package:furman_now/src/services/buildings/buildings_service.dart';
import 'package:furman_now/src/services/events/event.dart';
import 'package:furman_now/src/services/events/events_service.dart';
import 'package:furman_now/src/services/restaurants/restaurant_service.dart';

class AppState extends ChangeNotifier {
  late Future<List<Event>> events;
  late Future<List<Restaurant>> restaurants;
  late Future<List<Building>> buildings;

  AppState() {
    refresh();
  }

  void refresh() {
    events = EventsService.fetchEvents();
    restaurants = RestaurantService.fetchRestaurants();
    buildings = BuildingsService.fetchBuildings();
    notifyListeners();
  }

  @override
  int get hashCode =>
    events.hashCode ^
    restaurants.hashCode ^
    buildings.hashCode;

  @override
  bool operator ==(Object other) =>
    identical(this, other) ||
      other is AppState &&
        runtimeType == other.runtimeType &&
        events == other.events &&
        restaurants == other.restaurants &&
        buildings == other.buildings;
}