import 'package:flutter/material.dart';
import 'package:furman_now/src/utils/theme.dart';

class InfoCategoryCard extends StatelessWidget {
  final Color color;
  final IconData icon;
  final String title;
  final String description;

  const InfoCategoryCard({
    required this.color,
    required this.icon,
    required this.title,
    required this.description,
    Key? key
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        color: color,
        borderRadius: BorderRadius.circular(10),
      ),
      child: Row(
        children: [
          Padding(
            padding: const EdgeInsets.only(left: 15, right: 5),
            child: Icon(
              icon,
              size: 40,
              color: Colors.grey.shade800,
            ),
          ),
          Flexible(
            child: Container(
              padding: const EdgeInsets.symmetric(
                horizontal: 15,
                vertical: 12,
              ),
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  Text(
                    title,
                    style: Theme.of(context).textTheme.titleLarge
                  ),
                  const SizedBox(height: 1),
                  Text(
                    description,
                    style: furmanTextStyle(TextStyle(
                      color: Colors.grey.shade700,
                    )),
                  ),
                ],
              ),
            ),
          )
        ],
      ),
    );
  }
}