import 'package:flutter/material.dart';
import 'package:furman_now/src/utils/theme.dart';

class MapFilterChip extends StatelessWidget {
  final IconData icon;
  final String text;
  final Function callback;

  const MapFilterChip({
    required this.icon,
    required this.text,
    required this.callback,
    Key? key
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTapDown: (e) => callback(),
      child: Container(
        padding: const EdgeInsets.only(
            top: 6, bottom: 6, left: 8, right: 12),
        decoration: BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.circular(100),
          boxShadow: const [
            BoxShadow(
              color: Color(0x33000000),
              blurRadius: 4,
            ),
          ],
        ),
        child: RichText(
          text: TextSpan(
            children: [
              WidgetSpan(
                child: Icon(icon,
                    size: 18,
                    color: Colors.grey.shade800),
                alignment: PlaceholderAlignment.middle,
              ),
              const WidgetSpan(child: SizedBox(width: 6)),
              WidgetSpan(
                alignment: PlaceholderAlignment.middle,
                child: Text(
                  text,
                  style: furmanTextStyle(TextStyle(
                    fontSize: 14,
                    fontWeight: FontWeight.w600,
                    color: Colors.grey.shade800,
                  )),
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}