import 'package:flutter/material.dart';

class ScrollViewWithHeight extends StatelessWidget {
  final Widget child;
  final ScrollController? controller;

  const ScrollViewWithHeight({
    required this.child,
    this.controller,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return LayoutBuilder(builder: (BuildContext context, BoxConstraints constraints) {
      return CustomScrollView(
        controller: controller,
        physics: const BouncingScrollPhysics(
          parent: AlwaysScrollableScrollPhysics(),
        ),
        slivers: [
          SliverFillRemaining(
            hasScrollBody: false,
            child: ConstrainedBox(
              constraints: constraints.copyWith(
                minHeight: constraints.maxHeight,
                maxHeight: double.infinity
              ),
              child: child,
            ),
          ),
        ],
      );
    });
  }
}